Bug 972344 - SELinux is preventing /usr/bin/gnome-keyring-daemon from using the 'setcap' accesses on a process. [NEEDINFO]
SELinux is preventing /usr/bin/gnome-keyring-daemon from using the 'setcap' a...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:b39045a4e447c8f1da1e86b6086...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 14:06 EDT by Elias Oliveira de Jesus
Modified: 2013-10-25 09:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 09:16:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (flama.es)


Attachments (Terms of Use)

  None (edit)
Description Elias Oliveira de Jesus 2013-06-08 14:06:12 EDT
Description of problem:
SELinux is preventing /usr/bin/gnome-keyring-daemon from using the 'setcap' accesses on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If você acredita que o gnome-keyring-daemon deva ser permitido o acesso de setcap em processos com rótulo xdm_dbusd_t por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep gnome-keyring-d /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023
Target Context                system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023
Target Objects                 [ process ]
Source                        gnome-keyring-d
Source Path                   /usr/bin/gnome-keyring-daemon
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gnome-keyring-3.6.3-1.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-87.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.8.7-201.fc18.x86_64 #1 SMP Fri
                              Apr 12 19:46:19 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-04-16 04:27:13 BRT
Last Seen                     2013-04-16 04:27:13 BRT
Local ID                      c1bee4ca-2eb1-4d3f-9465-4eade00f9b12

Raw Audit Messages
type=AVC msg=audit(1366097233.936:335): avc:  denied  { setcap } for  pid=1447 comm="gnome-keyring-d" scontext=system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023 tclass=process


type=SYSCALL msg=audit(1366097233.936:335): arch=x86_64 syscall=capset success=yes exit=0 a0=7f936beed7d4 a1=7f936beed7dc a2=37cabb1758 a3=0 items=0 ppid=1446 pid=1447 auid=42 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 ses=1 tty=(none) comm=gnome-keyring-d exe=/usr/bin/gnome-keyring-daemon subj=system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023 key=(null)

Hash: gnome-keyring-d,xdm_dbusd_t,xdm_dbusd_t,process,setcap

audit2allow

#============= xdm_dbusd_t ==============
allow xdm_dbusd_t self:process setcap;

audit2allow -R
require {
	type xdm_dbusd_t;
	class process setcap;
}

#============= xdm_dbusd_t ==============
allow xdm_dbusd_t self:process setcap;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.11-200.fc18.x86_64
type:           libreport

Potential duplicate: bug 742797
Comment 1 Miroslav Grepl 2013-06-13 07:03:18 EDT
Are you able to get it again?

Note You need to log in before you can comment on or make changes to this bug.